## utouch-qml 1.0.4

=== CMakeLists.txt ===
project(utouch-qml)
cmake_minimum_required(VERSION 2.8)

# Build flags
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Werror -fvisibility=hidden")

# Dependencies
include(FindPkgConfig)
find_package(Qt4 REQUIRED)
find_package(PkgConfig REQUIRED)
find_package(Doxygen)

pkg_check_modules(UTOUCH_GEIS REQUIRED libutouch-geis)

include_directories(
    ${QT_INCLUDE_DIR}
    ${QT_QTCORE_INCLUDE_DIR}
    ${QT_QTGUI_INCLUDE_DIR}
    ${QT_QTDECLARATIVE_INCLUDE_DIR}
    ${UTOUCH_GEIS_INCLUDE_DIRS}
    )

# Source
add_subdirectory(src)

# Distribution settings
set(PROJECT_VERSION "1.0.4")
set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
add_custom_target(dist
    COMMAND bzr export --root=${ARCHIVE_NAME}
    ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.gz
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
