=== debian/changelog ===
utouch-qml (1.0.4-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Fixes issue with gesture acceptance (LP: #823190)
    - Fixes error when run under qmlviewer -frameless (LP: #823194)
    - Documentation now reflects whether gesture area is continuous or
      instantaneous (LP: #823819)

 -- Chase Douglas <chase.douglas@ubuntu.com>  Wed, 10 Aug 2011 17:06:49 -0700

utouch-qml (1.0.3-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Fixes issue with overlapping gesture areas (LP: #822846)

 -- Chase Douglas <chase.douglas@ubuntu.com>  Mon, 08 Aug 2011 12:33:53 -0700

utouch-qml (1.0.2-0ubuntu1) oneiric; urgency=low

  * Initial release (LP: #817760)

 -- Chase Douglas <chase.douglas@ubuntu.com>  Tue, 02 Aug 2011 11:36:33 -0700
