=== debian/changelog ===
utouch-qml (1.0.5-0ubuntu1) precise; urgency=low

  * New upstream release.
  * Remove obsolete "Maintainer" entry from copyright file
  * Added BSD license of cpplint.py to copyright file

 -- Chase Douglas <chase.douglas@ubuntu.com>  Tue, 06 Dec 2011 09:02:45 -0800
