=== debian/control ===
Source: utouch-qml
Section: libs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               cmake,
               pkg-config,
               libqt4-dev,
               libutouch-geis-dev (>= 2.1.2),
               doxygen,
               qt4-dev-tools
Standards-Version: 3.9.2
Homepage: https://launchpad.net/utouch-qml
Vcs-Bzr: https://code.launchpad.net/~utouch-packaging/utouch-qml/ubuntu

Package: libutouch-qml
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: libutouch-qml-doc
Description: QML plugin for the uTouch gesture framework
 The plugin provides QML elements for receiving gestures from uTouch. Gesture,
 touch, and device properties are provided.

Package: libutouch-qml-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libutouch-qml
Description: QML plugin for the uTouch gesture framework - documentation
 The plugin provides QML elements for receiving gestures from uTouch. Gesture,
 touch, and device properties are provided.
 .
 API and specification documentation for developing with uTouch-qml.
