=== src/CMakeLists.txt ===
set(uTouch_SRCS
    continuousgesturearea.cpp
    device.cpp
    geissingleton.cpp
    gesture.cpp
    gesturearea.cpp
    gestureevent.cpp
    instantaneousgesturearea.cpp
    touch.cpp
    utouch_plugin.cpp
    utouchdragarea.cpp
    utouchpincharea.cpp
    utouchrotatearea.cpp
    utouchtaparea.cpp
    )

set(uTouch_HDRS
    continuousgesturearea.h
    device.h
    geissingleton.h
    gesture.h
    gesturearea.h
    gestureevent.h
    instantaneousgesturearea.h
    touch.h
    utouch_plugin.h
    utouchdragarea.h
    utouchpincharea.h
    utouchrotatearea.h
    utouchtaparea.h
    )

qt4_wrap_cpp(uTouch_MOC_SRCS ${uTouch_HDRS})

add_library(uTouch MODULE ${uTouch_SRCS} ${uTouch_MOC_SRCS})

target_link_libraries(uTouch ${UTOUCH_GEIS_LDFLAGS})

set(PLUGIN_INSTALL_DIR lib/qt4/imports/uTouch)

install(TARGETS uTouch DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES qmldir DESTINATION ${PLUGIN_INSTALL_DIR})

# Documentation target
if (DOXYGEN_FOUND)
    configure_file(${CMAKE_SOURCE_DIR}/Doxyfile.in
        ${CMAKE_BINARY_DIR}/Doxyfile @ONLY)

    add_custom_command(OUTPUT ${CMAKE_BINARY_DIR}/html
    COMMAND ${DOXYGEN_EXECUTABLE}
    DEPENDS ${uTouch_SRCS} ${uTouch_HDRS} ${CMAKE_BINARY_DIR}/Doxyfile
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
    COMMENT "Generating API documentation with Doxygen" VERBATIM)

    add_custom_target(doc ALL DEPENDS ${CMAKE_BINARY_DIR}/html)

    install(DIRECTORY ${CMAKE_BINARY_DIR}/html DESTINATION "share/doc/utouch-qml")
    install(FILES ${CMAKE_BINARY_DIR}/qch/utouch-qml.qch DESTINATION "share/qt4/doc/qch")
endif (DOXYGEN_FOUND)
