=== debian/changelog ===
utouch-qml (1.0.6-0ubuntu1) precise-proposed; urgency=low

  * New upstream release.
    - Bug fixes only
    - Fix FTBFS against utouch-geis 2.2.6 and later (LP: #987548)
    - Fix touchscreen gestures not working (LP: #987554)
    - Fix geis event handling for multiple available events (LP: #987552)
  * Bump lintian standards version to 3.9.3

 -- Chase Douglas <chase.douglas@ubuntu.com>  Tue, 24 Apr 2012 09:00:24 -0700
