=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libutouch-geis-dev (>= 2.1.2),
                doxygen,
                qt4-dev-tools
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: https://launchpad.net/utouch-qml
 Vcs-Bzr: https://code.launchpad.net/~utouch-packaging/utouch-qml/ubuntu
