=== debian/watch ===
version=3
https://launchpad.net/utouch-qml/+download .*/utouch-qml-([0-9.]+~?.+?)\.tar\.gz
